@echo off

setlocal

set package_name=NodeJS
set node_dir=nodejs-windows-64bit

set full_node_dir=%CD%\%node_dir%

set OS_ALLCAPS=WINDOWS

if not exist %full_node_dir% (
    echo. >&2
    echo In seting up %package_name%, did not find directory: >&2
    echo   %full_node_dir% >&2
    echo. >&2
    echo Have you run ./PREPARE-%OS_ALLCAPS%.bat? >&2    
    echo Exiting... >&2    
    echo. >&2
    exit /b 0
)

set NODE_HOME=%full_node_dir%
set "PATH=%NODE_HOME%;%PATH%"

REM For details on setting multiple vars, see:
REM     https://stackoverflow.com/questions/15494688/batch-script-make-setlocal-variable-accessed-by-other-batch-files

endlocal & (
  set NODE_HOME=%NODE_HOME%
  set "PATH=%PATH%"
)

echo + Set NODE_HOME and updated PATH

